lp:ubuntu/quantal/pandoc

Created by James Westby on 2012-04-26 and last modified on 2012-08-26
Get this branch:
bzr branch lp:ubuntu/quantal/pandoc
Members of Ubuntu branches can upload to this branch. Log in for directions.

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

24. By Iain Lane on 2012-08-26

No-change rebuild for GHC 7.4.2

23. By Iain Lane on 2012-07-23

Cherry-pick patch from upstream to not build with the threaded runtime.
It has a performance penalty and is not supported on multiple Debian
architectures, leading to build failures there. (Closes: #682433)

22. By Clint Adams on 2012-06-30

* New upstream version, fixing non-ASCII filenames.
* Add Recommends on libghc-citeproc-hs-data (for --bibliography).

21. By Jonas Smedegaard <email address hidden> on 2012-06-20

* New upstream release.

* Update long description to mention new Slideous output format.
* Tighten (build-)dependencies for highlighting-kate-* packages,
  reflecting upstream change.
* Drop patch: Adopted upstream.
* Drop NEWS file: contents relevant only for transisitions from Lenny
  (now oldstable).

20. By Jonas Smedegaard <email address hidden> on 2012-05-20

* New upstream release.

* (Build-)depend on GHC -doc and -prof packages of blaze-builder
  hs-bibutils random and text: Indirectly needed (at least for -doc
  packages) but not pulled in.
* Update package relations:
  + Fix have pandoc package recommend libghc-citeproc-hs-data.
    Closes: bug#645530.
  + Fix tighten dependencies needed since 1.8.0.1:
    - libghc-utf8-string-*
    - libghc-syb-*
  + Fix drop dependencies unused since 1.9.1.1:
    - libghc-xhtml-*
    - libghc-dlist-*
  + Fix drop dependencies apparently never used:
    - libghc-testpack-*
    - hscolour
  + Fix drop dependencies apparently used only for testsuite (which
    fails currently so is not enabled):
    - diff
    - test-framework-dev
    - test-framework-hunit-dev
    - test-framework-quickcheck2-dev
    - quickcheck-dev
    - hunit-dev
    - template-haskell-dev
    - ansi-terminal-dev
  + Fix exclude upper bound of libghc-zlib-* versioning (<< not <=).
  + Fix have libghc-* packages depend on ${haskell:Extra-Depends}, as
    suggested in bug#645530.
  + Tighten dependencies needed since 1.9.3:
    - libghc-mtl-*
  + Generally relax to drop lower bound of versionings: Satisfied in
    Wheezy and unavailable in Squeeze or Lenny (libghc-* naming was
    introduced post-Squeeze).
  + Build-depend only on libghc-*-prof packages explicitly declared in
    upstream cabal file (only include libghc-*-doc packages when
    Haddock complains).
  + Sort package relations.
* Extend long description to mention newly added support for reading
  (not only writing) DocBook XML.
* Add patch 1001 to support setting language in slidy output.
* Update copyright file: Extend copyright years.

19. By Clint Adams on 2012-03-04

* New upstream release.

[ Kiwamu Okabe ]
* Allow DM uploads.
* New debian/watch file to scan pandoc 1.9
* Bump standards-version to 3.9.3.
* Move maintenance to Haskell team, with Jonas and Kiwamu as
  uploaders.
* Add new (build-)dependencies:
  + libghc-blaze-html-*
  + libghc-temporary-*
  + libghc-zlib-*
  Drop obsolete (build-)dependency:
  + libghc-deepseq-*
  Tighten build-dependencies:
  + libghc-http-dev
  + libghc-texmath-dev
  + libghc-pandoc-types-dev
  + libghc-json-dev
  + libghc-highlighting-kate-dev

[ Jonas Smedegaard ]
* Newline-delimit uploaders field.
* Update copyright file:
  + Extend copyright years.
  + Adapt a Files section.
  + Bump copyright format to final version 1.0.
* Update long descriptions:
  + Mention newly supported output formats:
    - Word Docx
    - AsciiDoc
    - DZSlides.
  + Explicitly mention output formats XHTML and HTML 5.
  + Explicitly mention out put (sub)format LaTeX beamer.
  + No longer mention markdown2pdf: Dropped upstream.

[ Clint Adams ]
* Move -doc build dependencies to Build-Depends-Indep.

18. By Micah Gersten on 2011-12-26

No change rebuild for new libghc-http-dev

17. By Jonas Smedegaard <email address hidden> on 2011-09-29

* Bump debhelper compatibility level to 7.
* Update package relations:
  + Fix stop bogusly depending on libghc-rts-doc or libghc-rts-prof.
  + Build-depend-indep on ghc-haddock (not on virtual haddock).
  + Add ${haskell:Depends} ${haskell:Recommends} ${haskell:Suggests}
    and ${haskell:Provides}, and stop explicitly suggesting *-doc
    packages.
    This fixes: bug#640963. Thanks to Clint Adams.
  + Fix depend on ${shlibs:Depends}.
  + Relax to build-depend unversioned on devscripts and debhelper:
    Needed version satisfied even in oldstable.

16. By Colin Watson on 2011-11-12

Rebuild for new GHC ABIs.

15. By Iain Lane on 2011-06-09

No change rebuild against new GHC ABIs

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/raring/pandoc
This branch contains Public information 
Everyone can see this information.

Subscribers